Get product availability and pricing

The Product Availability Endpoint returns the availability and pricing for all the variants of a product on all days, from the current date up to the end_date.

This endpoint returns a max_orders value for each day, timeslot, and variant_id. This value represents the maximum number of tickets that can be purchased together on an order for that product, variant, and timeslot.

Note the following:

  • The endpoint response returns a maximum of 31 days per request to manage the response time of the endpoint.

  • Products can return availability and pricing for up to one year into the future.

  • If no tickets are available for purchase on a day or timeslot, no day or timeslot is returned.

  • If a product does not have timeslots, a single timeslot is returned, with the value of `whole_day`.

  • It is not possible to obtain the raw availability (actual number of tickets).

  • The returned information is cached and updated frequently. We have processes in place to ensure the data is as fresh as possible, but there may occasionally be a discrepancy between the returned availability and the actual availability.

Product availability and pricing

get
/products/{productId}/availability
Path parameters
productIdintegerRequired

ID of the product to return.

Example: 974092
Query parameters
currencystringOptional

Currency code of the price components (ISO 4217).

Default: EURExample: EUR
langstringOptional

Language of the content to retrieve (ISO 639-1). Defaults to English if undefined.

Default: enExample: en
start_datestring · dateOptional

First day for which to return availability.

Example: 2019-06-05Pattern: YYYY-MM-DD
end_datestring · dateOptional

Last day for which to return availability (by default: 31 days from current date). We capped the endpoint response to a maximum of 31 days per request to manage the response time of the endpoint.

Example: 2019-06-05Pattern: YYYY-MM-DD
skip_to_first_available_daybooleanOptional

Whenever a range (open or closed) is specified with start_date and/or end_date, validate it against the next available date. If the next available date is in between start_date and end_date, return data from next available date adn end_date. If next available date is beyond end_date, return no available date. If it precedes start_date, nothing changes.

Example: false
Header parameters
AuthorizationstringRequired

Token <Your_API_Key>.

Default: Token <Partner_API_key>.
Responses
chevron-right
200

Successful operation.

application/json
successbooleanOptional
capped_atstring · nullableOptional

The capped date that is used to limit the availability information in the response. For example, capped_at 2020-08-19 means the last information in the response is 2020-08-18. We capped the endpoint response to a maximum of 31 days per request to manage the response time of the endpoint.

next_available_datestring · nullableOptional

The first available date for the product. For example, next_available_date 2020-08-19 means that the first date in which there is availability and the product can bo sold is 2020-08-18.

sales_enabledbooleanOptional

Indicates whether the product is available for sale or not.

dynamic_pricingbooleanOptionalDeprecated

If true, the price depends on the day and timeslot, as well as the day on which the data is requested. Products with dynamic pricing can have different prices for one date for one variant ID, and it allows for active price changes from the supplier.

max_tickets_per_ordernumber · nullableOptional

Maximum total number of tickets of any product variant that can be purchased in one order. Returned as null if no restriction applies.

get
/products/{productId}/availability

Last updated

Was this helpful?